#publicName_link {
    text-decoration: none;
    overflow: hidden;
    word-break: break-all;
    color: inherit;
    padding: 0 .3em;
    line-height: normal;
    min-width: 1.4em;
    margin-top: 1px;
}

#menu_sep {
    margin: auto;
}

#signin_link,
#signup_link,
#signout_link {
    overflow: hidden;
    line-height: normal;
    margin-top: .2em;
    font-size: .85em;
    text-decoration: none;
    color: inherit;
    padding: 0 .3em;
}

#signin_link:hover,
#signup_link:hover,
#signout_link:hover {
    text-decoration: underline;
}

#menu {
    margin-top: 2em;
    margin-bottom: 1em;
    padding: 0 1em;
}

/**
 * Logbooks lists.
 */
.write-link {
    display: none;
}

#thisLogbookDiv{
    display: none;
}

/**
 * Menu dialog
 */
#dialogMenu h3 {
    margin-top: 0;
    max-width: 16em;
}

#dialogMenu ul {
    list-style: none;
    padding: 0;
}

#dialogMenu li {
    padding: .5em 0;
}

#dialogMenu label {
    display: flex;
    cursor: pointer;
}

#logbookArchivedInput {
    margin-right: 1em;
    flex-shrink: 0;
}

#dialogMenu label span {
    max-width: 14em;
    transition: text-decoration-color .2s ease-out;
}

#dialogMenu a {
    cursor: pointer;
}

/**
 * Share dialog.
 */
#dialogShare {
    color: inherit;
}

#dialogShare>button:not(:last-child),
#dialogShare>div:not(:last-child) {
    margin-bottom: 1em;
}

/**
 * Permission.
 */
#sharePermissionDiv label {
    display: flex;
    cursor: pointer;
}

#sharePermissionInput {
    margin-right: 1em;
    flex-shrink: 0;
}

#sharePermissionDiv span {
    max-width: 14em;
    transition: text-decoration-color .2s ease-out;
}

/** 
 * Switch checkbox.
 */
input:where([type="checkbox"][role="switch"]) {
    appearance: none;
    position: relative;
    color: inherit;
    font-size: inherit;
    width: 2em;
    height: 1em;
    box-sizing: content-box;
    border: 1px solid;
    border-radius: 1em;
    vertical-align: top;
    margin: auto 0;
    cursor: pointer;
}

input:where([type="checkbox"][role="switch"])::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    box-sizing: border-box;
    width: 0.7em;
    height: 0.7em;
    margin: 0 0.15em;
    border: 1px solid;
    border-radius: 50%;
    background: currentcolor;
    transition: left .2s ease-out;
}

input:where([type="checkbox"][role="switch"]):checked::before {
    left: 1em;
}

input:where([type="checkbox"][role="switch"]):not(:checked)+span {
    text-decoration: 1pt line-through;
    text-decoration-color: currentColor;
}

input:where([type="checkbox"][role="switch"]):checked+span {
    text-decoration: 1pt line-through;
    text-decoration-color: transparent;
}

/**
 * qr code.
 */
#qrCodeButton {
    cursor: pointer;
    transition: border-color .2s ease-out;
    display: block;
    width: 100%;
    background-color: unset;
    padding: 4px;
    border: 12px dashed transparent;
    border-radius: 12px;
}

#qrCodeButton img {
    width: 100%;
}

#qrCodeButton:hover {
    border-color: lightseagreen;
}

#sharesList {
    display: flex;
    justify-content: space-between;
    margin-top: .5em;
}

#sharesList button {
    cursor: pointer;
    border: none;
    border: 1px solid transparent;
    transition: border-color .2s ease-out;
    background: none;

}

#sharesList button.selected {
    border-bottom-color: lightseagreen;
}